Subject: Re: Java API: LDAPMessage accessor for LDAPException

From: "Jim Sermersheim" <[email-masked]>
Date: Sun, 31 Dec 2000 21:29:46 -0700

Rob,

There are (perhaps) dozens of extended operations that are not described in Internet-Drafts. Some of these, as well as possible future IETF documented extended operatoins, have the ability to not only return one of the well known (and limited) LDAP error values, but return other "extended" error information as well (in the value of the extended resonse).

There must be some way of reading the information returned in the extended operation PDU whether or not an error value is present. To make the case more simple, the Java API is not allowing the client to read the entire allowable set of data being sent by the server.

Jim

>>> Rob Weltman <[email-masked]> 12/27/00 8:54:52 PM >>>
Jim Sermersheim wrote:
> 
> I've heard a couple people ask how to solve this problem with synchronous calls:
> 
> Client sends an extended operation to server. Server returns with extended response but an error condition is present. An LDAPException is thrown and caught by the application, but there is no way to read the extended response.
> 
> Can we add a new method to LDAPException -- public LDAPMessage getLDAPMessage()? It would return null if no LDAPMessage is associated with the response.
> 
> To date I've told people to use the async methods, but I'd rather the problem just be fixed.
> 
> Jim

Jim,

  In what cases is there a valid response message as well as an error condition? For the other operation types there is either one or the other.

Rob